## junixsocket 2.0.4

=== debian/changelog ===
junixsocket (2.0.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 03:43:52 +0100

junixsocket (2.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #914849)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Nov 2018 23:30:33 +0100
