=== debian/control ===
Source: junixsocket
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 libmaven-shade-plugin-java,
 maven-debian-helper (>= 2.1)
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/junixsocket.git
Vcs-Browser: https://salsa.debian.org/java-team/junixsocket
Homepage: https://github.com/kohlschutter/junixsocket

Package: libjunixsocket-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, libjunixsocket-jni
Suggests: ${maven:OptionalDepends}
Description: Unix Domain Sockets in Java
 junixsocket is a Java/JNI library that allows the use of Unix Domain Sockets
 (AF_UNIX sockets) from Java. In contrast to other implementations, junixsocket
 extends the Java Sockets API (java.net.Socket, java.net.SocketAddress etc.)
 and even supports RMI over AF_UNIX. It is also possible to use it in
 conjunction with Connector/J to connect to a local MySQL server via Unix domain
 sockets.

Package: libjunixsocket-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unix Domain Sockets in Java (JNI library)
 junixsocket is a Java/JNI library that allows the use of Unix Domain Sockets
 (AF_UNIX sockets) from Java. In contrast to other implementations, junixsocket
 extends the Java Sockets API (java.net.Socket, java.net.SocketAddress etc.)
 and even supports RMI over AF_UNIX. It is also possible to use it in
 conjunction with Connector/J to connect to a local MySQL server via Unix domain
 sockets.
 .
 This package contains the architecture specific Java native interface part.
