## junixsocket 2.6.1

=== debian/changelog ===
junixsocket (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.1
  * adjust poms for new upstream version
  * adjust maven rules for new upstream version
  * d/control:
    + add new build dependencies
    + run wrap-and-sort -bastk
    + bump Standards-Version, no changes needed
    + add Rules-Requires-Root: no
    + bump debhelper-compat level to 13
    + classify build-deps for arch-any and arch-all
  * d/copyright: add myself to debian/* copyright
  * d/patches: refactor patches for new upstream version
  * d/rules:
    + add native-common jar to maven-repo during build
    + build native extension with clang
    + fix native lib compatibility with dwz
  * d/watch: update search pattern

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 21 Jan 2023 12:42:24 -0500
