=== debian/control ===
--- 
+++ 
@@ -2,21 +2,31 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Emmanuel Bourg <ebourg@apache.org>
+Uploaders:
+ Emmanuel Bourg <ebourg@apache.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
+Build-Depends-Indep:
  default-jdk,
+ libeclipse-jdt-annotation-java,
  libmaven-shade-plugin-java,
- maven-debian-helper (>= 2.1)
-Standards-Version: 4.2.1
+ maven-debian-helper (>= 2.1),
+Build-Depends-Arch:
+ clang,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/junixsocket.git
 Vcs-Browser: https://salsa.debian.org/java-team/junixsocket
 Homepage: https://github.com/kohlschutter/junixsocket
+Rules-Requires-Root: no
 
 Package: libjunixsocket-java
 Architecture: all
-Depends: ${misc:Depends}, ${maven:Depends}, libjunixsocket-jni
-Suggests: ${maven:OptionalDepends}
+Depends:
+ libjunixsocket-jni,
+ ${maven:Depends},
+ ${misc:Depends},
+Suggests:
+ ${maven:OptionalDepends},
 Description: Unix Domain Sockets in Java
  junixsocket is a Java/JNI library that allows the use of Unix Domain Sockets
  (AF_UNIX sockets) from Java. In contrast to other implementations, junixsocket
@@ -27,7 +37,9 @@
 
 Package: libjunixsocket-jni
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Unix Domain Sockets in Java (JNI library)
  junixsocket is a Java/JNI library that allows the use of Unix Domain Sockets
  (AF_UNIX sockets) from Java. In contrast to other implementations, junixsocket
