=== debian/watch ===
version=4
opts=repack,compression=xz \
https://github.com/kohlschutter/junixsocket/tags .*/junixsocket-@ANY_VERSION@.tar.gz
